/*
 * Licensed under BSD license.  See LICENCE.TXT  
 *
 * Produced by:	Jeff Lait
 *
 *      	7DRL Development
 *
 * NAME:        defedit.h ( Live Once Library, C++ )
 *
 * COMMENTS:
 */

#ifndef __defedit_h__
#define __defedit_h__

#include "buf.h"
#include "engine.h"

ENGINE::Response defedit_askQuestion(const ENGINE::Question &query);

void defedit_editMobHP(MOB *mob, bool isclient);
void defedit_editMobAI(MOB *mob, bool isclient);
void defedit_editMobLoot(MOB *mob, bool isclient);
void defedit_editMobCorpseChance(MOB *mob, bool isclient);
void defedit_editMobRarity(MOB *mob, bool isclient);
void defedit_editMobArmour(MOB *mob, bool isclient);
void defedit_editMobSpecial(MOB *mob, bool isclient);
void defedit_editItemArmour(ITEM *item, bool isclient);
void defedit_editAttack(MOB *mob, ITEM *item, ATTACK_NAMES attack, bool isclient);
void defedit_editAttackDamage(MOB *mob, ITEM *item, ATTACK_NAMES attack, bool isclient);
void defedit_editAttackDistribution(MOB *mob, ITEM *item, ATTACK_NAMES attack, bool isclient);
void defedit_editAttackBonusToHit(MOB *mob, ITEM *item, ATTACK_NAMES attack, bool isclient);
ELEMENT_NAMES defedit_chooseElement(ELEMENT_NAMES defelem, bool isclient);
void defedit_editElements(bool isclient);

// Returns the same effect, but makes a new on eif the incoming is NONE
// and a no-op done.
EFFECT_NAMES defedit_editEffect(EFFECT_NAMES effect, int level, bool isclient);
EFFECT_NAMES defedit_editEffect(BUF prequel, EFFECT_NAMES effect, int level, bool isclient);

// REturns a relative amount.
float	defedit_chooseAmount(const char *prequel, bool isclient);
float	defedit_chooseDuration(const char *prequel, bool isclient);
int	defedit_chooseAreaEffect(bool isclient);
int	defedit_chooseRange(bool isclient);
int	defedit_chooseRecharge(bool isclient);

void	defedit_editRangeAttack(MOB *mob, bool isclient);

DISTRIBUTION_NAMES defedit_chooseDistribution(const char *prequel, DISTRIBUTION_NAMES origdist, bool isclient);

#endif
